Subject: bug#13202: Make Microsoft Visual C recognize the .S file extension

From: Jeffrey Walton <[email-masked]>
Date: Mon, 17 Dec 2012 15:31:54 -0500

On Mon, Dec 17, 2012 at 3:07 AM, Peter Rosin <[email-masked]> wrote:
> Hi Rheinländer!
>
> On 2012-12-17 01:41, Rheinländer wrote:
>> Hi,
>>
>> here is a suggestion how to make MSVC (cl.exe) recognize the standard
>> extension for assembly code in C projects: Just add the compiler
>> switch /Tc before the file inquestion, or use /TC toforce all files
>> mentioned on the command line to be treated as C code.
>
> Interesting!
This may not work under MASM64 since inline ASM is not supported on x64.

Jeff